---
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
  - namespace.yaml
  - serviceaccount.yaml
  - vaultauth.yaml
  - vaultstaticsecret.yaml
  - certificate.yaml
  - service.yaml
  - statefulset.yaml
  - poddisruptionbudget.yaml
  - gateway.yaml
  - httproute.yaml
  - tlsroute.yaml
  - vpa.yaml

configMapGenerator:
  - name: kanidm-config
    namespace: kanidm
    options:
      disableNameSuffixHash: true
      labels:
        app.kubernetes.io/name: kanidm
        app.kubernetes.io/instance: kanidm
    files:
      - server-0.toml=resources/server-0.toml
